Subject: bug#58382: closed (Re: [bug#58382] [PATCH 0/3] guile-netlink: Add support for bonds)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 09 Oct 2022 13:46:02 +0000

Your bug report

#58382: [PATCH 0/3] guile-netlink: Add support for bonds

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
58382: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=58382
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#58382] [PATCH 0/3] guile-netlink: Add support for bonds
From: Julien Lepiller <[email-masked]>
To: Alexey Abramov <[email-masked]>
Cc: [email-masked]
Date: Sun, 9 Oct 2022 15:45:09 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Le Sat,  8 Oct 2022 18:50:43 +0200,
Alexey Abramov via Guix-patches via <[email-masked]> a écrit :

> With these patches, guile-netlink can be used to build bonds.
> bond-type-args function accepts keys that people would be set to bond
> interfaces via 'ip link set'. 'ip link help bond' shows the list of
> all passable settings. Only few of them are implemented right now.
> 
> Master field was also added to 'link-set' in order to bind interfaces
> to their masters in case of bonding.
> 
> Alexey Abramov (3):
>   link: Pass correct attribute and a payload to rename a link
>   link: Allow to bound interfaces to bonds
>   link: Add partial support for bond interfaces
> 
>  ip/link.scm          | 77
> ++++++++++++++++++++++++++++++++++++++++++-- netlink/constant.scm |
> 30 +++++++++++++++++ 2 files changed, 104 insertions(+), 3
> deletions(-)
> 

Thanks, applied to guile-netlink :) I adjusted the commit messages a
bit, and used define-enum for bond mode. I didn't test though, so I
hope it works :)

Subject: [PATCH 0/3] guile-netlink: Add support for bonds
From: Alexey Abramov <[email-masked]>
To: [email-masked]
Date: Sat, 8 Oct 2022 18:50:43 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

With these patches, guile-netlink can be used to build bonds. bond-type-args
function accepts keys that people would be set to bond interfaces via 'ip link
set'. 'ip link help bond' shows the list of all passable settings. Only few of
them are implemented right now.

Master field was also added to 'link-set' in order to bind interfaces to their
masters in case of bonding.

Alexey Abramov (3):
  link: Pass correct attribute and a payload to rename a link
  link: Allow to bound interfaces to bonds
  link: Add partial support for bond interfaces

 ip/link.scm          | 77 ++++++++++++++++++++++++++++++++++++++++++--
 netlink/constant.scm | 30 +++++++++++++++++
 2 files changed, 104 insertions(+), 3 deletions(-)

-- 
2.36.1